import { AppPlugin } from '../types';
import { IPublicTypeProjectSchema } from '@alilc/lowcode-types';
/**
 * schema转成component
 * @param schema
 * @param packages
 */
export declare function parseSchema(schema: IPublicTypeProjectSchema, packages: any[]): Promise<{
    schema: import("@alilc/lowcode-types").IPublicTypeRootSchema;
    components: any;
    i18n: import("@alilc/lowcode-types").IPublicTypeI18nMap | undefined;
    dataSource: any;
}>;
export declare function loadPlugins(pluginsArray: Array<AppPlugin>, callback?: () => void, async?: boolean): void;
